import echarts from 'echarts/lib/echarts';

import './geo3D/Geo3DModel';
import './geo3D/Geo3DView';

import '../coord/geo3DCreator';

echarts.registerAction({
    type: 'geo3DChangeCamera',
    event: 'geo3dcamerachanged',
    update: 'series:updateCamera'
}, function (payload, ecModel) {
    ecModel.eachComponent({
        mainType: 'geo3D', query: payload
    }, function (componentModel) {
        componentModel.setView(payload);
    });
});

//注册自定义的event 地理位置选择变化event
echarts.registerAction({
    type: 'geoselectchanged',
    event: 'geoselectchanged',
    // update: 'series:updateCamera'
}, function (text) {
    // console.log("触发事"+text);
    // ecModel.eachComponent({
    //     mainType: 'geo3D', query: payload
    // }, function (componentModel) {
    //     componentModel.setView(payload);
    // });
});